file(GLOB_RECURSE PSEMEK_UI_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "include/*.hpp")
file(GLOB_RECURSE PSEMEK_UI_SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "source/*.cpp")

psemek_add_library(psemek-ui_legacy ${PSEMEK_UI_HEADERS} ${PSEMEK_UI_SOURCES})
target_include_directories(psemek-ui_legacy PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_link_libraries(psemek-ui_legacy PUBLIC psemek-util psemek-log psemek-math psemek-cg psemek-gfx psemek-fonts psemek-async psemek-sdl2 rapidjson)

psemek_glob_resources(psemek-ui_legacy resources psemek/ui/resources)

psemek_glob_tests(psemek-ui_legacy tests)
